如何解決 centos 6 裡的perl 程式執行出現 Can’t locate Compress/Zlib.pm 的錯誤問題

今天在centos 6 裡安裝 perl 的套件,當啟動服務後,
出現 Can’t locate Compress/Zlib.pm,其他還有很多錯誤碼,
但這是解決這個問題的關鍵字。

然而這個zlib函式庫的問題,跟centos本身是無關的,
所以從yum安裝其他套件去補是無解的,這得從perl內著手去解決,
perl現在大眾使用不多(相對於php),也是因為解法太冷門,
我們翻到10年前的文章才有取得這個解法,所以特地記錄一下。

繼續閱讀 如何解決 centos 6 裡的perl 程式執行出現 Can’t locate Compress/Zlib.pm 的錯誤問題